For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create product media

Create new media for a product.

post
Path parameters
productIdstringRequired
Body
filestring · binaryOptional
Responses
201

Created

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
descriptionstringOptional
statusstringOptional
filenamestringOptional
sizeinteger · int32Optional
contentTypestringOptional
displayOrderinteger · int32Optional
urlstringOptional
post/public/v1/catalog/products/{productId}/media
POST /public/v1/catalog/products/{productId}/media HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 112

{
  "media": {
    "Name": "text",
    "Description": "text",
    "MediaType": "Video",
    "Url": "text",
    "DisplayOrder": 1
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "displayOrder": 1,
  "url": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  }
}

Last updated

Was this helpful?